/* portfolio-section */
.portfolio{
    padding: 80px 0 80px 0;
    background-color: #131111;
    text-align: center;
}
.portfolio-text-container span{
    display: block;
    font-size: 12px;
    color: #f4f4f4;
    margin-bottom: 10px;
}
  
.portfolio-text-container h2{
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 600;
    color: rgb(171, 201, 243);
    font-size: 25px;
    text-decoration: underline;
    margin-bottom: 30px;
}
  
.portfolio-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
}
  
.portfolio-box{
    position: relative;
    width: 300px;
    height: 200px;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    background-color: #fff;
}
  
.portfolio-box img{
    width: 100%;
    height: 100%;
    transition: transform 0.3s ease;
}
  
.portfolio-box:hover img{
    transform: scale(1.1);
}
  
.portfolio-layer{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(2, 0, 14, 0.8);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    color: #fff;
    text-align: center;
    padding: 15px;
}
  
.portfolio-box:hover .portfolio-layer{
    opacity: 1;
}
  
.portfolio-layer h4{
    font-size: 15px;
    font-weight: bold;
    margin-bottom: 10px;
}
  
.portfolio-layer p{
    font-size: 14px;
    margin-bottom: 15px;
}
.portfolio-layer a{
    display: inline-block;
    width: 50px;
    height: 50px;
    background-color: #494949;
    color: #dddddd;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    transition: background-color 0.3s ease, transform 0.3s ease;
}
  
.portfolio-layer a i{
    font-size: 20px;
    color: #fff;
}

.portfolio-layer a:hover{
    background-color: #e94e4e;
    transform: scale(1.1);
    box-shadow: 0 4px 8px rgba(201, 155, 155, 0.8);
}

@media (max-width: 768px) {
    /* Portfolio Section */
    .portfolio {
        padding: 50px 20px;
    }

    .portfolio-container {
        flex-direction: column;
    }

    .portfolio-box {
        width: 90%;
        margin: 10px auto;
    }

    .portfolio-layer {
        padding: 10px;
    }
}